game-data-packager(6)

NOM
game-data-packager - construit des paquets (.deb|.rpm|...) à partir des données de jeux

SYNOPSIS
game-data-packager [OPTIONS] JEU [OPTIONS] [OPTIONS LIÉES À CHAQUE JEU]

DESCRIPTION
De nombreux jeux open-source ont besoin de données qui sont placées sous des licences incompatibles avec les Principes du logiciel libre selon Debian ("Debian Free Software Guidelines") ainsi qu'avec les bonnes pratiques d'autres distributions Linux, ou bien qui ne sont pas du tout redistribuables légalement.
game-data-packager est un outil qui vous aide à assembler localement des paquets contenant des données provenant de CD-ROM, d'Internet ou d'ailleurs.

OPTIONS

--package PAQUET, -p PAQUET
    Pour les jeux qui produisent plusieurs paquets, ne produire que celui qui est spécifié. Cette option peut être utilisée plusieurs fois. Par exemple, game-data-packager quake2 -i -pquake2-groundzero -pquake2-reckoning permettra de mettre à jour les deux extensions de Quake II (Ground Zero et The Reckoning), qui contiennent des modules compilés, sans devoir mettre à jour les données de base ou le paquet de musique.

--target-format arch|deb|rpm
    Produit des paquets dans le format désiré. Tous les formats, mis à part deb sont actuellement considérés comme expérimentaux. Le format par défaut est celui du système sur lequel game-data-packager est exécuté.

--target-distro fedora|suse|...
    Pour les formats partagés par plusieurs distributions ( rpm actuellement), suivre les particularités d'une distribution particulière. Ceci est aussi détecté automatiquement.

-i|--install
    Installer directement le paquet créé avec --install-method et --gain-root-command.

--install-method apt|dpkg|gdebi|gdebi-gtk|gdebi-kde|dnf|zypper|urpmi|rpm
    Installe les paquets avec la commande désirée. Les commandes disponibles dépendent du format choisi avec --target-format .

--gain-root-command pkexec|sudo|su|super|really|COMMAND
    Utiliser la commande "préfixe" pour obtenir les droits superutilisateur. su correspond à la commande su -c les autres options correspondent à un adverbe ajouté devant la commande, de cette façon: sudo dpkg -i ... ou pkexec rpm -U ....

-d RÉPERTOIRE-DE-DESTINATION | --destination RÉPERTOIRE-DE-DESTINATION
    Écrire les paquets .deb|.rpm générés dans le répertoire désigné.

-n | --no-install
    Ne pas installer les paquets générés.

-z | --compress
    Compresser les paquets (option par défaut si -i n'est pas spécifié).

--binary-executables
    Autoriser la création de paquets contenant du code binaire sans source disponible. Comme cela représente un risque de sécurité cela est désactivé par défaut. Ceci est par exemple nécessaire pour Quake 4 et Unreal.

--no-compress
    Ne pas compresser les paquets (option par défaut quand on utilise -i)

--download
    Télécharge automatiquement les fichiers manquants à partir d'Internet si possible. C'est le paramètre par défaut.

--no-download
    Ne rien télécharger d'Internet. Si les fichiers manquants ne sont pas vraiment importants (documentation par exemple), des paquets seront générés sans ces fichiers. Si par contre ces fichiers/patches sont indispensables, aucun paquet ne sera généré.

--save-downloads RÉPERTOIRE
    S'il y a lieu de télécharger des fichiers, les conserver dans RÉPERTOIRE.

--verbose
    Donner plus de détails sur le traitement effectuée, en particulier celui effectué par les outils externes (innoextract, unarj...).

--no-verbose
    Ne pas afficher de détails supplémentaires, paramètre par défaut.

--debug
    Afficher des informations utiles aux développeurs de game-data-packager

JEU Nom-code du jeu à empaqueter. Exécuter game-data-packager sans aucun paramètre affiche une liste des jeux possibles.

OPTIONS LIÉES À CHAQUE JEU
Certains jeux disposent d'options spécifiques. Exécuter game-data-packager JEU --help affichera les options spécifiques à ce jeu.

AUTRE FONCTIONNALITÉS
game-data-packager steam [ -i ] [ -d répertoire-de-destination [ -n ] ] [ -z | --no-compress ] [ --new | --all ]
créera des paquets pour tous vos jeux Steam compatibles en une fois.
La plupart de ces jeux ne peuvent être téléchargés qu'avec la version 'Windows' de Steam qui aussi peux être exécutée via Wine; ou en utilisant l'utilitaire steamcmd .

--new
    ne créer des paquets .deb que pour les nouveaux jeux pas encore installés

--all
    créer tous les paquets possibles

game-data-packager gog
comparera tous vos jeux GOG.com avec ceux supportés par cet outil.
Ensuite, chaque jeu doit être empaqueté séparément.

VARIABLES D'ENVIRONNEMENT

LANGUAGE, LANG
    Lorsqu'un jeu est disponible en plusieurs langues, ces variables d'environnement seront utilisées pour choisir la bonne version.
    Ces variables sont normalement déjà correctement configurées par votre environnement de bureau.
    Si le jeu n'est pas disponible en français, l'anglais est alors accepté comme alternative valable.

RÉPERTOIRES
game-data-packager trouvera automatiquement les données utiles entre autres présentes dans ces répertoires:

~/.steam/SteamApps/common/<game>/

~/.wine/drive_c/Program Files/Steam/SteamApps/common/<game>/
    ainsi que l'équivalent ~/.PlayOnLinux/wineprefix/Steam/drive_c/...

X:/Program Files/Steam/SteamApps/common/<game>/
    où X:\ est n'importe quelle partition VFAT ou NTFS actuellement montée.

FICHIERS

/etc/game-data-packager.conf
    fichier de configuration de game-data-packager.

~/.scummvmrc
    fournit l'emplacement des jeux enregistrés dans le launcher de ScummVM.

~/.steam/config/loginusers.vdf
    est utilisé pour trouver l'ID Steam de l'utilisateur, qui sert ensuite à télécharger une liste des jeux possédés par l'utilisateur.

~/.cache/lgogdownloader/gamedetails.json
    reprend une copie de la liste des jeux GOG.com achetés par l'utilisateur

VOIR AUSSI
pkexec(1), sudo(8), su(1), lgogdownloader(1)
Page du projet:

AUTEUR
Copyright © 2015 Alexandre Detiste <alexandre@detiste.be>, 2017 <nyav@gresille.org>
Traduit à partir de la version en anglais.